package:
  httpd:
    installed: true
    versions:
    - 2.4.6
  lynx:
    installed: true
  net-tools:
    installed: true
  git:
    installed: true
  maven:
    installed: true
  ant:
    installed: true
  wget:
    installed: true
  automake:
    installed: true
  autoconf:
    installed: true
  autoreconf:
    installed: false
  nasm:
    installed: true
  libjpeg-turbo-utils:
    installed: true
  php-pecl-xdebug:
    installed: true
  php-cli:
    installed: true
  pngquant:
    installed: true
  nodejs:
    installed: true
port:
  tcp:80:
    listening: true
    ip:
    - 0.0.0.0
  tcp:8080:
    listening: false
    ip: []
service:
  httpd:
    enabled: false
    running: false
process:
  httpd:
    running: true
http:
  http://localhost:80:
    status: 200
    allow-insecure: false
    no-follow-redirects: false
    timeout: 5000
    body:
    - "PHP is working"
  http://localhost:80/session_test.php:
    status: 200
    allow-insecure: false
    no-follow-redirects: false
    timeout: 5000
    body:
    - "Session Passed"

file:
  /etc/httpd/conf/httpd.conf:
    exists: true
  /var/www/html:
    filetype: directory
    exists: true
  /var/www/html/public:
    filetype: directory
    exists: false
  /etc/httpd/conf.d/laravel.conf:
    exists: false
  /var/www/html/index.php:
    exists: true
    mode: "0760"
    owner: apache
    group: apache
    filetype: file
    contains:
    - PHP is working
  /var/www/html/composer.json:
    exists: true
    mode: "0760"
    owner: apache
    group: apache
    filetype: file
    contains:
      - "require"
  /var/www/html/package.json:
    exists: true
    mode: "0760"
    owner: apache
    group: apache
    filetype: file
    contains:
    - "dependencies"
  /var/www/html/session_test.php:
    exists: true
    mode: "0760"
    owner: apache
    group: apache
    filetype: file
    contains:
    - session_start()
    - echo "Passed";
group:
  apache:
    # required attributes
    exists: true
#    # optional attributes
#    gid: 65534

command:
  yarn -versions:
    exit-status: 0
    stdout:
    - "1.12.3"
    stderr: []
    timeout: 10000
  npm --version:
    exit-status: 0
    stdout:
    - "6.4.1"
    stderr: []
    timeout: 10000
  composer --version:
    exit-status: 0
    stdout:
    - "Composer version 1.8.0 2018-12-03 10:31:16"
    stderr: []
    timeout: 10000
  php -v:
    exit-status: 0
    stdout:
    - "PHP 7.2.13 (cli) (built: Dec  8 2018 12:11:34) ( NTS )"
    stderr: []
    timeout: 10000
  php -v | grep Xdebug:
    exit-status: 0
    stdout:
    - "with Xdebug v2.6.1, Copyright (c) 2002-2018, by Derick Rethans"
    stderr: []
    timeout: 10000
  php -v | grep OPcache:
    exit-status: 0
    stdout:
    - "with Zend OPcache v7.2.13, Copyright (c) 1999-2018, by Zend Technologies"
    stderr: []
    timeout: 10000
